## xf86-video-omapfb 0.1.1-2

=== debian/changelog ===
xf86-video-omapfb (0.1.1-2) unstable; urgency=low

  * remove quilt and xsfbs.mk
  * improve descriptions
  * fix provides for omap3
  * upload to unstable

 -- Riku Voipio <riku.voipio@iki.fi>  Sat, 04 Apr 2009 22:45:09 +0300

xf86-video-omapfb (0.1.1-1) experimental; urgency=low

  * Initial upload to debian

 -- Riku Voipio <riku.voipio@iki.fi>  Fri, 05 Sep 2008 01:41:02 +0200
