=== debian/control ===
Source: xf86-video-omapfb
Section: x11
Priority: optional
Maintainer: Riku Voipio <riku.voipio@iki.fi>
Build-Depends: debhelper (>= 5.0.0), pkg-config, xserver-xorg-dev, x11proto-video-dev, x11proto-core-dev, x11proto-fonts-dev, x11proto-randr-dev, x11proto-render-dev, x11proto-xext-dev, automake, libtool, xutils-dev
Standards-Version: 3.8.0
Vcs-Git: git://git.debian.org/collab-maint/xf86-video-omapfb.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/xf86-video-omapfb.git
Homepage: http://gitweb.pingu.fi/?p=xf86-video-omapfb.git;a=tree

Package: xserver-xorg-video-omapfb
Architecture: arm armel armeb
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xserver:Depends}
Provides: ${xviddriver:Provides},
Conflicts: xserver-xorg-video-omap3
Description: X.Org X server -- Omapfb display driver
 This driver for the X.Org X server (see xserver-xorg for a further
 description) provides support for OMAP Framebuffer as in Nokia N8x0 and
 other devices with OMAP Display Subsystem. If you have a OMAP3 or newer,
 try xserver-xorg-video-omap3 for better performance.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This package is built from the X.org xf86-video-omapfb driver module.

Package: xserver-xorg-video-omap3
Architecture: arm armel armeb
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xserver:Depends}
Provides: ${xviddriver:Provides},
Conflicts: xserver-xorg-video-omapfb
Description: X.Org X server -- Omapfb display driver (NEON optimized)
 This driver for the X.Org X server (see xserver-xorg for a further
 description) provides support for OMAP Framebuffer with NEON optimized code
 for Beagleboard and other devices based on OMAP3 or newer.
 .
 More information about X.Org can be found at:
 <URL:http://www.X.org>
 <URL:http://xorg.freedesktop.org>
 <URL:http://lists.freedesktop.org/mailman/listinfo/xorg>
 .
 This package is built from the X.org xf86-video-omapfb driver module.
