=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for the Debian xserver-xorg-driver-nv package.
# Copyright © 2004 Scott James Remnant <scott@netsplit.com>
# Copyright © 2005 Daniel Stone <daniel@fooishbar.org>
# Copyright © 2005 David Nusinow <dnusinow@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	MAKEFLAGS += -j$(NUMJOBS)
endif

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

SERVERMINVERS = $(shell cat /usr/share/xserver-xorg/serverminver 2>/dev/null)
VIDEOABI = $(shell cat /usr/share/xserver-xorg/videoabiver 2>/dev/null)
SERVER_DEPENDS = xserver-xorg-core (>= $(SERVERMINVERS))
VIDDRIVER_PROVIDES = xserver-xorg-video-$(VIDEOABI)

serverabi:
ifeq ($(SERVERMINVERS),)
	@echo warning: xserver-xorg-dev needs to be installed
else
	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/xserver-xorg-video-omapfb.substvars
	echo "xviddriver:Provides=$(VIDDRIVER_PROVIDES)" >> debian/xserver-xorg-video-omapfb.substvars
	echo "xserver:Depends=$(SERVER_DEPENDS)" >> debian/xserver-xorg-video-omap3.substvars
	echo "xviddriver:Provides=$(VIDDRIVER_PROVIDES)" >> debian/xserver-xorg-video-omap3.substvars
endif


confflags += --disable-static

confflags_omap3 += $(confflags) --enable-neon
CFLAGS_OMAP3 += $(CFLAGS) -mfloat-abi=softfp -mcpu=cortex-a8 -mfpu=neon

configure:
	dh_testdir
	autoreconf -vfi

obj-$(DEB_BUILD_GNU_TYPE)/config.status: configure
	dh_testdir
	mkdir -p obj-$(DEB_BUILD_GNU_TYPE)
	cd obj-$(DEB_BUILD_GNU_TYPE) && \
	../configure --prefix=/usr --mandir=\$${prefix}/share/man \
	             --infodir=\$${prefix}/share/info $(confflags) \
	             CFLAGS="$(CFLAGS)"

obj-omap3/config.status: configure
	dh_testdir
	mkdir -p obj-omap3
	cd obj-omap3 && \
	../configure --prefix=/usr --mandir=\$${prefix}/share/man \
	             --infodir=\$${prefix}/share/info $(confflags_omap3) \
	             CFLAGS="$(CFLAGS_OMAP3)"

build: build-stamp
build-stamp: obj-$(DEB_BUILD_GNU_TYPE)/config.status obj-omap3/config.status
	dh_testdir
	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE)
	cd obj-omap3 && $(MAKE)
	>$@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp

	rm -f config.cache config.log config.status
	rm -f */config.cache */config.log */config.status
	rm -f conftest* */conftest*
	rm -rf autom4te.cache */autom4te.cache
	rm -rf obj-*
	rm -f $$(find -name Makefile.in)
	rm -f compile config.guess config.sub configure depcomp install-sh
	rm -f ltmain.sh missing INSTALL aclocal.m4 config.h.in mkinstalldirs

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	cd obj-omap3 && $(MAKE) DESTDIR=$(CURDIR)/debian/xserver-xorg-video-omap3 install
	rm -f $(CURDIR)/debian/xserver-xorg-video-omap3/usr/lib/xorg/modules/drivers/omapfb_drv.la

# Build architecture-dependent files here.
binary-arch: build install serverabi
	dh_testdir
	dh_testroot

	dh_installdocs
	dh_installchangelogs
	dh_install --sourcedir=debian/tmp --list-missing --exclude=.la
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps -- --warnings=6
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-independent files here.
binary-indep: build install
# Nothing to do

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
