## xf86-video-omapfb 0.1.1-3

=== debian/changelog ===
xf86-video-omapfb (0.1.1-3) unstable; urgency=low

  * Make buildable with xorg 7.5

 -- Riku Voipio <riku.voipio@iki.fi>  Tue, 26 Jan 2010 19:28:43 +0200
