## xf86-video-omapfb 0.1.1-3ubuntu1

=== debian/changelog ===
xf86-video-omapfb (0.1.1-3ubuntu1) lucid; urgency=low

  * fix hardcoded default framebuffer device to point to something that
    actually exists (LP: #567260) thanks to Graeme Gregory

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 22 Apr 2010 16:03:28 +0200
